Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156162 - CVE-1999-0710 cachemgr.cgi access control bypass
Summary: CVE-1999-0710 cachemgr.cgi access control bypass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=19990725,source=squ...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 01:14 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: 7:2.5.STABLE9-1.FC3.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-24 19:19:46 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-28 01:14:58 UTC
+++ This bug was initially created as a clone of Bug #156161 +++

The RedHat squid program installs cachemgr.cgi in a public web directory,
allowing remote attackers to use it as an intermediary to connect to other systems.

This patch adds access controls to the cachemgr.cgi script, preventing it from
being abused to reach other servers than allowed in a local configuration file.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-cachemgr_conf


Note You need to log in before you can comment on or make changes to this bug.